#include <stdio.h>
int N[10000];
int main()
{
    int n, count = 0, number;
    scanf("%d", &n);
    for(int i = 0;i < n;i++)
        scanf("%d", &N[i]);
    for(int i = 0;i < n;i++)
    {
        for(int k = i;k < n;k++)
        {
            number = N[k];
            if(!(N[k] % 2))
            {
                count += n - k;
                break;
            }
        }
    }
    printf("%d", count);
    return 0;
}
